% Example-02: A Simple Timed Petri Net
% the main file file (MSF) to run simulation 

clear all; clc; 

global global_info % user data 
global_info.STOP_AT = 50;   % stop at time = 50 TU

pns = pnstruct('simple_tpn_pdf'); % create petri net structure

dyn.m0 = {'p1',3, 'p2',4}; % initial markings
dyn.ft = {'t1',10};  % firing time

pni = initialdynamics(pns, dyn);

sim = gpensim(pni); % perform simulation runs

prnss(sim); % print the simulation results 
plotp(sim, {'p1','p2','p3'}); % plot the results

