% Sample application of pre-processor files
% MSF: Example-05: prefer.m

clear all; clc;

global global_info

global_info.STOP_AT = 60;   % Stop after 80 time units

% CASE = 1: t1 is preferred; 
% CASE = 2: t2 is preferred
%   otherwise no preference
global_info.CASE = 1; % t1 is preferred
 
pns = pnstruct('prefer_pdf');
 
dyn.ft = {'allothers',10};  % firing times for all the transition is 10 TU
dyn.m0 = {'pS',4};
pni = initialdynamics(pns, dyn); 

sim_results = gpensim(pni);
prnss(sim_results);
plotp(sim_results, {'pE1', 'pE2'}); 
