function [fire, trans] = COMMON_PRE(trans)
% COMMON_PRE file codes the enabling conditions

if strcmp(trans.name, 'tS'),   
    % if the enabled transition is "tS", just exit, as 
    % conditions for its firing are coded in  its own 
    % specific file "tS_pre.m"
    fire = 1;
    return
end

% For the three transitions "tA", "tB", and "tC"
n = timesfired(trans.name); % get the number times transition has fired 
fire = lt(n, 3); % and let it fire, if it has fired less than 3 times 
