% Example-13: Crosstalk with 2 Actors, Deadlock prone 
% Reisig, p. 46, fig. 12-2

clear all; clc;

global global_info
global_info.STOP_AT = 30; 

% data for the firing sequence
global_info.FIRING_SEQ = {'tLAct','tLR2','tRAct','tRL3'}; % firing sequence

% the Petri net model is made up of three modules: 
%   right module, left module, and the rest (connectors)
pns = pnstruct({'ra_pdf', 'la_pdf', 'connector_pdf'}); % 3 PDFs

dyn.m0 = {'pLQuiet',1, 'pRQuiet',1};
dyn.ft = {'tLAct',1, 'tRAct',1, 'allothers',0.1}; 
pni = initialdynamics(pns, dyn);

cotree(pni, 1, 1);
sim = gpensim(pni);

prnss(sim);
