% Example-15-01: Hourly Clock
clear all; clc;

global global_info
global_info.START_AT = [12 0 0]; % OPTION: start simulations at 12 AM
global_info.STOP_AT  = [15 15 0]; % OPTION: stop  simulations at 15:15 
global_info.DELTA_TIME = 60;  % delta_T is 1 minutes
global_info.BANK_CLOSED = false; % initially, bank is just opened

pns = pnstruct('hourly_clock_pdf');
dyn.m0 = {'pINN',1};
dyn.ft = {'tGEN',[0 15 0], 'tA', 45*60, 'tB', [0 45 0]}; 

pni = initialdynamics(pns, dyn);
results = gpensim(pni);

figure(1), plotp(results, {'pINN'});  % qu
figure(2), plotp(results, {'pA', 'pB'});

