function [fire, transition] = COMMON_PRE(transition)
 
global PN
ctime = current_time;
check_up_time = eq(ctime, 4);
 
%%%%%%%%%%%%%%%%%% 
% Print the data structure of "Petri Net run-time", and   
%       p1, p3, tA, and tB 
if check_up_time,
    disp(['Enabled transitions is: ', transition.name]);
    disp(' '); disp('The global PN dynamic structure:'); disp(PN);
    disp(' '); 
    disp('Structure of the place "p1":');   
    index_p1 = is_place('p1');
    disp(PN.global_places(index_p1));
    
    disp('Structure of the place "p3":'); 
    index_p3 = is_place('p3');
    disp(PN.global_places(index_p3));
    disp('Structure of the token bank at "p3":'); 
    for i = 1:length(PN.global_places(index_p3).token_bank),
        disp(PN.global_places(index_p3).token_bank(i));
    end
    disp(' '); 
    
    disp(' '); 
    disp('Structure of the transition "tA":'); 
    index_tA = is_trans('tA');
    disp(PN.global_transitions(index_tA));

    disp(' '); 
    disp('Structure of the transition "tB":'); 
    index_tB = is_trans('tB');
    disp(PN.global_transitions(index_tB));
end
fire = 1;  
