function [fire, trans] = COMMON_PRE(trans)
% COMMON_PRE file codes the enabling conditions
% Here, the current value of the semaphore 
% indicate which transiton can fire.
%
% After firing, the fired transition must 
% set the value of semaphore to the other 
% transition: this is done in the COMMON_POST
% file.

global global_info;

if strcmpi(trans.name, 't1'),   
    fire = strcmp(global_info.semaphore, 't1'); 
    if (fire), SwitchLamp(global_info.lightRED, 'on'); end;
     
else strcmp(trans.name, 't2'),
    fire = strcmp(global_info.semaphore, 't2'); 
    if (fire), SwitchLamp(global_info.lightGREEN, 'on'); end;
end;
